Name:           libfonts
Version:        1.1.6
Release:        %mkrel 17
Summary:        TrueType Font Layouting
License:        LGPLv2+
Group:          System/Libraries 
Source0:        https://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
URL:            https://reporting.pentaho.org/
BuildRequires:  ant
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  libloader >= 1.1.3
Requires:       java >= 0:1.6.0
Requires:       jpackage-utils
Requires:       libloader >= 1.1.3
BuildArch:      noarch
Patch0:         libfonts-1.1.2-fix-build.patch
Patch1:         libfonts-1.1.2.java11.patch
Patch2:         libfonts-1.1.6-remove-antcontrib-support.patch
Patch3:         libfonts-1.1.3-remove-commons-logging.patch

%description
LibFonts is a library developed to support advanced layouting in JFreeReport.
This library allows to read TrueType-Font files to extract layouting specific
informations.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation 
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p0 -b .build
%patch -P 1 -p1 -b .java11
%patch -P 2 -p1
%patch -P 3 -p1

find . -name "*.jar" -exec rm -f {} \;
rm -r source/org/pentaho/reporting/libraries/fonts/itext
mkdir -p lib
build-jar-repository -s -p lib libbase libloader

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Thu Oct 03 2024 daviddavid <daviddavid> 1.1.6-17.mga10
+ Revision: 2102777
- fix build with java21

* Mon May 08 2023 martinw <martinw> 1.1.6-16.mga9
+ Revision: 1956184
- Replace apache-commons-logging with java.util.logging (mga#29556 & mga#31021)

* Wed Sep 21 2022 neoclust <neoclust> 1.1.6-15.mga9
+ Revision: 1891152
- Fix build with jdk 17

* Sun Mar 27 2022 umeabot <umeabot> 1.1.6-14.mga9
+ Revision: 1829064
- Mageia 9 Mass Rebuild

* Thu Jan 14 2021 neoclust <neoclust> 1.1.6-13.mga8
+ Revision: 1671783
- Remove ant-contrib support

* Mon Sep 07 2020 daviddavid <daviddavid> 1.1.6-12.mga8
+ Revision: 1623142
- allow rebuild with java 11
- drop iText requirement
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.1.6-11.mga8
+ Revision: 1491296
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.6-10.mga7
+ Revision: 1263034
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.6-9.mga6
+ Revision: 950462
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.1.6-8.mga5
+ Revision: 794891
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-7.mga5
+ Revision: 750656
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-6.mga5
+ Revision: 681460
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-5.mga4
+ Revision: 530968
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 1.1.6-4.mga4
+ Revision: 461159
- remove java-nodeps from buildrequires

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 357116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.6-2.mga3
+ Revision: 305444
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198963
- new version 1.1.6
- rediff and rename patch fix-build.patch
- drop gcj support
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-3.mga1
+ Revision: 74326
- Really build without gcj

* Wed Jan 26 2011 dmorgan <dmorgan> 1.1.3-2.mga1
+ Revision: 40204
- Fix requires

* Wed Jan 26 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 40128
- Adapt for mageia
- imported package libfonts


* Thu Dec 03 2009 Caolan McNamara <caolanm@redhat.com> 1.1.3-1
- latest version

* Tue Nov 17 2009 Caolan McNamara <caolanm@redhat.com> 1.1.2-1
- latest version

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-2.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Mon Mar 16 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-1.OOo31
- Post-release tuned for OpenOffice.org

* Mon Mar 09 2009 Caolan McNamara <caolanm@redhat.com> 0.4.0-1
- latest version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 0.3.4-1
- initial fedora import
